---
apiVersion: image.openshift.io/v1
kind: ImageStream
metadata:
  annotations:
    openshift.io/display-name: JBoss EAP 7.4.0 with OpenJDK 11
    openshift.io/image.dockerRepositoryCheck: "2025-10-27T11:40:50Z"
    openshift.io/provider-display-name: Red Hat, Inc.
    samples.operator.openshift.io/version: 4.19.17
    version: 7.4.0
  creationTimestamp: "2025-10-27T11:40:49Z"
  generation: 2
  labels:
    samples.operator.openshift.io/managed: "true"
  managedFields:
  - apiVersion: image.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:openshift.io/display-name: {}
          f:openshift.io/provider-display-name: {}
          f:samples.operator.openshift.io/version: {}
          f:version: {}
        f:labels:
          .: {}
          f:samples.operator.openshift.io/managed: {}
      f:spec:
        f:tags:
          .: {}
          k:{"name":"7.4.0"}:
            .: {}
            f:annotations:
              .: {}
              f:description: {}
              f:iconClass: {}
              f:openshift.io/display-name: {}
              f:sampleContextDir: {}
              f:sampleRef: {}
              f:sampleRepo: {}
              f:supports: {}
              f:tags: {}
              f:version: {}
            f:from: {}
            f:generation: {}
            f:importPolicy:
              .: {}
              f:importMode: {}
            f:name: {}
            f:referencePolicy:
              .: {}
              f:type: {}
          k:{"name":"latest"}:
            .: {}
            f:annotations:
              .: {}
              f:description: {}
              f:iconClass: {}
              f:openshift.io/display-name: {}
              f:sampleContextDir: {}
              f:sampleRef: {}
              f:sampleRepo: {}
              f:supports: {}
              f:tags: {}
              f:version: {}
            f:from: {}
            f:generation: {}
            f:importPolicy:
              .: {}
              f:importMode: {}
            f:name: {}
            f:referencePolicy:
              .: {}
              f:type: {}
    manager: cluster-samples-operator
    operation: Update
    time: "2025-10-27T11:40:49Z"
  name: jboss-eap74-openjdk11-openshift
  namespace: openshift
  resourceVersion: "19575"
  uid: 99e5958b-b07d-4020-a7ef-ba54fb35364a
spec:
  lookupPolicy:
    local: false
  tags:
  - annotations:
      description: The latest available build of JBoss EAP 7.4.0 with OpenJDK 11.
      iconClass: icon-eap
      openshift.io/display-name: JBoss EAP 7.4.0 with OpenJDK11
      sampleContextDir: kitchensink
      sampleRef: 7.4.x
      sampleRepo: https://github.com/jbossas/eap-quickstarts/
      supports: eap:7.4.0,javaee:8,java:11
      tags: builder,eap,javaee,java,jboss,hidden
      version: latest
    from:
      kind: DockerImage
      name: registry.redhat.io/jboss-eap-7/eap74-openjdk11-openshift-rhel8
    generation: 2
    importPolicy:
      importMode: Legacy
    name: 7.4.0
    referencePolicy:
      type: Local
  - annotations:
      description: The latest available build of JBoss EAP 7.4 with OpenJDK 11.
      iconClass: icon-eap
      openshift.io/display-name: JBoss EAP 7.4 with OpenJDK11
      sampleContextDir: kitchensink
      sampleRef: 7.4.x
      sampleRepo: https://github.com/jbossas/eap-quickstarts/
      supports: eap:7.4,javaee:8,java:11
      tags: builder,eap,javaee,java,jboss,hidden
      version: latest
    from:
      kind: DockerImage
      name: registry.redhat.io/jboss-eap-7/eap74-openjdk11-openshift-rhel8:latest
    generation: 2
    importPolicy:
      importMode: Legacy
    name: latest
    referencePolicy:
      type: Local
status:
  dockerImageRepository: ""
  tags:
  - items:
    - created: "2025-10-27T11:40:50Z"
      dockerImageReference: registry.redhat.io/jboss-eap-7/eap74-openjdk11-openshift-rhel8@sha256:74cc70f8d3698d41793d19b0e23b0a79448d02ada93f402a1714d26d164e4c1d
      generation: 2
      image: sha256:74cc70f8d3698d41793d19b0e23b0a79448d02ada93f402a1714d26d164e4c1d
    tag: 7.4.0
  - items:
    - created: "2025-10-27T11:40:50Z"
      dockerImageReference: registry.redhat.io/jboss-eap-7/eap74-openjdk11-openshift-rhel8@sha256:74cc70f8d3698d41793d19b0e23b0a79448d02ada93f402a1714d26d164e4c1d
      generation: 2
      image: sha256:74cc70f8d3698d41793d19b0e23b0a79448d02ada93f402a1714d26d164e4c1d
    tag: latest
